unit Unit1;
//http://www.phidels.com
// Exemple montrant comment surveiller un dossier et ses sous-dossiers afin de
//savoir s'il y a un un changement dans les fichiers et dossiers

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, UnitThreadNotification;

type
  TForm1 = class(TForm)
    ButtonGo: TButton;
    ButtonStop: TButton;
    Memo1: TMemo;
    EditNomDossier: TEdit;
    ButtonParcourir: TButton;
    OpenDialog1: TOpenDialog;
    CheckBoxComprisSousRepertoires: TCheckBox;
    Label1: TLabel;
    GroupBox1: TGroupBox;
    CheckBoxFILE_NOTIFY_CHANGE_FILE_NAME: TCheckBox;
    CheckBoxFILE_NOTIFY_CHANGE_LAST_WRITE: TCheckBox;
    CheckBoxFILE_NOTIFY_CHANGE_DIR_NAME: TCheckBox;
    CheckBoxFILE_NOTIFY_CHANGE_ATTRIBUTES: TCheckBox;
    CheckBoxFILE_NOTIFY_CHANGE_SIZE: TCheckBox;
    CheckBoxFILE_NOTIFY_CHANGE_SECURITY: TCheckBox;
    ButtonEffacerAffichage: TButton;
    procedure ButtonParcourirClick(Sender: TObject);
    procedure ButtonStopClick(Sender: TObject);
    procedure ButtonGoClick(Sender: TObject);
    procedure ButtonEffacerAffichageClick(Sender: TObject);
  private

  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;



implementation

{$R *.DFM}    



procedure TForm1.ButtonParcourirClick(Sender: TObject);
begin
  if OpenDialog1.Execute then
                  EditNomDossier.Text:=ExtractFilePath(OpenDialog1.Filename);
end;

procedure TForm1.ButtonStopClick(Sender: TObject);
begin
   DestructionNotification;
end;

procedure TForm1.ButtonGoClick(Sender: TObject);
Var Filtre : DWORD;
begin
  Filtre :=0;
  If CheckBoxFILE_NOTIFY_CHANGE_FILE_NAME.Checked
    then Filtre:=Filtre or FILE_NOTIFY_CHANGE_FILE_NAME;
  If CheckBoxFILE_NOTIFY_CHANGE_DIR_NAME.Checked
    then Filtre:=Filtre or FILE_NOTIFY_CHANGE_DIR_NAME;
  If CheckBoxFILE_NOTIFY_CHANGE_ATTRIBUTES.Checked
    then Filtre:=Filtre or FILE_NOTIFY_CHANGE_ATTRIBUTES;
  If CheckBoxFILE_NOTIFY_CHANGE_SIZE.Checked
    then Filtre:=Filtre or FILE_NOTIFY_CHANGE_SIZE;
  If CheckBoxFILE_NOTIFY_CHANGE_LAST_WRITE.Checked
    then Filtre:=Filtre or FILE_NOTIFY_CHANGE_LAST_WRITE;
  If CheckBoxFILE_NOTIFY_CHANGE_SECURITY.Checked
    then Filtre:=Filtre or FILE_NOTIFY_CHANGE_SECURITY;

  CreationNotification( EditNomDossier.Text, CheckBoxComprisSousRepertoires.Checked,
               Filtre);
end;

procedure TForm1.ButtonEffacerAffichageClick(Sender: TObject);
begin
  Memo1.Clear;
end;

end.

